Description

Hi Philippe,

I am following the same process of converting shape files to geopackage.
but it showing error when i importing in gisaf. i have attached the snapshot of error below.

Recently i had updated the QGIS latest version 3.16.3.

Associated revisions

Revision 4c0d3ed1 - 13/03/2021 16:12 - Philippe May

Refs #11691: import: explode multi-geometries

History

#1 - 06/02/2021 12:25 - Selvarani C
- File importing error.JPG added

#2 - 06/02/2021 17:09 - Philippe May
- Status changed from New to In Progress

- Assignee changed from Philippe May to Selvarani C

| think that the error displayed is explicit: the geometry type in the file is "multipolygon”, but it should be "polygon".

To understand the difference, have a look there:
https:/qgis.stackexchange.com/questions/225368/understanding-difference-between-polygon-and-multipolygon-for-shapefiles-in-qgis

Qgis has a tool to convert from multi-parts to single-parts: menu Vector => Gemetry tools => Multipart to Single parts. So, you can convert that
geopackage to a single parts equivalent, then import it.

That said, we should have a look why that specific file is multiparts. I'll try to come next Monday to office, and we can have a look together.

#3 - 09/02/2021 12:04 - Selvarani C
Hi Philippe,

Yes the problem is that the geometry type in the file is "multipolygon".
When we Converting the geopackage by the version 3.16, the geometry type in the file is "multipolygonZ". so it is not importing in gisaf.

so to find the problem we were tried by the version 3.4, the geometry type in the file is "polygon25D" and it is imported in gisaf.
https://gis.stackexchange.com/questions/225368/understanding-difference-between-polygon-and-multipolygon-for-shapefiles-in-qgis

#4 - 09/02/2021 12:11 - Selvarani C

"Qgis has a tool to convert from multi-parts to single-parts: menu Vector => Gemetry tools => Multipart to Single parts. So, you can convert that
geopackage to a single parts equivalent, then import it."

This tool will use to convert the multipart feature to single part feature, | think it will not help in this case to change the geometry type from muilti
polygon to polygon geometry.

#5 - 12/02/2021 12:13 - Selvarani C

Hi Philippe,

We did a check on converting geo package with different Versions of QGIS from 3.4 to 3.16, In it we found that from version 3.12 to 3.16 It gives the
geo package geometry type is "multipolygonZ".

So if we use the latest version means, the geo package should be in “multipolygonZ”, but our gisaf is importing only the “Polygon” geometry type of
geo packages.

So for converting geo package can we use the older versions of QGIS?

Waiting for update, because TLC geo packages are wating to import in Gisaf.

#6 - 11/03/2021 12:31 - Philippe May

Sorry for the delay, i didn't notice the last update.

I'll try to see what it would take to make Gisaf import multi* geometries, as i think that would be a very useful feature, and revert shortly.

#7 - 13/03/2021 16:20 - Philippe May

| updated the import with a function to automatically "explode" (make sure multi-geometries are converted to single parts).
The quick test with the same file as shown in the screenshot passed (on my laptop only).

Can you please try with another multi-geometry file?

#8 - 13/03/2021 16:48 - Selvarani C

Thank you very much Philippe.
| have tried, Now the gisaf is accepting the multi-geometry geo packages.

#9 - 18/03/2021 11:28 - Selvarani C

- Status changed from In Progress to Resolved

Files

importing error.JPG 157 KB 06/02/2021 Selvarani C
